Bug 163332 - hald_t unable to umount removable_t
hald_t unable to umount removable_t
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-07-15 04:58 EDT by Ilya Konstantinov
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 1.25.3-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-19 04:30:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ilya Konstantinov 2005-07-15 04:58:31 EDT
Description of problem:
hald_t is unable to unmount a device marked as removable_t.
Resulting log message:
audit(1121414202.337:47): avc:  denied  { unmount } for  pid=7890 comm="umount"
scontext=system_u:system_r:hald_t tcontext=system_u:object_r:removable_t
tclass=filesystem

Version-Release number of selected component (if applicable):
selinux-policy-targeted-1.25.1-9

How reproducible:
Always.

Steps to Reproduce:
1. Insert a removable device (e.g. USB storage device).
2. Wait for it to mount and appear on your desktop.
3. Surprise-remove it (i.e. without umounting).
4. Watch the kernel log for failure to umount.
Comment 1 Daniel Walsh 2005-07-20 10:18:50 EDT
Fixed in selinux-policy-targeted-1.25.3-1

Note You need to log in before you can comment on or make changes to this bug.